<script>
  import Logo from "./Media/OpenTableLogo.svg"
  import TopAppBar, { Row, Section, Title } from '@smui/top-app-bar';
  import IconButton, { Icon } from '@smui/icon-button/styled';
  import { mdiThemeLightDark, mdiHelp, mdiBell, mdiCogs, mdiAccount } from '@mdi/js';
  import Svg from '@smui/common/Svg.svelte';
  import { theme, table_name } from "./scripts/stores";

  let currentTheme = "light";
  let prominent = false;
  let dense = false;

  function toggleTheme() {
  currentTheme = currentTheme === "light" ? "dark" : "light";
  theme.update(() => currentTheme);
  }
</script>


<div class="top-app-bar-container">
  <TopAppBar 
  class = "top-app-bar"
  variant="static"
  {prominent}
  {dense}
  >
    <Row>
      <Section>
        <Logo width="200" height="30" >menu</Logo>
      </Section>
      <Section align="center" style="align-items: center; justify-content: center;">
        <h3 >{$table_name}</h3>
      </Section>
      <Section align="end" toolbar>
        <!-- Help -->
        <div style="display: flex; align-items: center;">
          <IconButton>
            <Icon component={Svg} viewBox="0 0 24 24">
              <path fill="currentColor" d={mdiHelp} />
            </Icon>
          </IconButton>
        </div>
        <!-- Notification -->
        <div style="display: flex; align-items: center;">
          <IconButton>
            <Icon component={Svg} viewBox="0 0 24 24">
              <path fill="currentColor" d={mdiBell} />
            </Icon>
          </IconButton>
        </div>
        <!-- Setttings -->
        <div style="display: flex; align-items: center;">
          <IconButton>
            <Icon component={Svg} viewBox="0 0 24 24">
              <path fill="currentColor" d={mdiCogs} />
            </Icon>
          </IconButton>
        </div>
          <!-- Profile -->
          <div style="display: flex; align-items: center;">
          <IconButton>
            <Icon component={Svg} viewBox="0 0 24 24">
              <path fill="currentColor" d={mdiAccount} />
            </Icon>
          </IconButton>
        </div>
        <!-- Light/Dark-->
        <div style="display: flex; align-items: center;">
          <IconButton on:click={toggleTheme}>
            <Icon component={Svg} viewBox="0 0 24 24">
              <path fill="currentColor" d={mdiThemeLightDark } />
            </Icon>
          </IconButton>
        </div>
      </Section>
    </Row>
  </TopAppBar>
</div>  